> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a built reward supplier

> Returns the fully evaluated (built) runtime form of the specified reward supplier.



## OpenAPI

````yaml /api-reference/management.json get /v6/reward-suppliers/{reward_supplier_id}/built
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v6/reward-suppliers/{reward_supplier_id}/built:
    get:
      tags:
        - Reward Suppliers
      summary: Get a built reward supplier
      description: >-
        Returns the fully evaluated (built) runtime form of the specified reward
        supplier.
      operationId: getBuiltRewardSupplier
      parameters:
        - in: path
          name: reward_supplier_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuiltRewardSupplierResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                coupon_count_warn_limit_invalid:
                  $ref: '#/components/examples/coupon_count_warn_limit_invalid'
                coupon_pool_id_missing:
                  $ref: '#/components/examples/coupon_pool_id_missing'
                description_too_long:
                  $ref: '#/components/examples/description_too_long'
                display_name_too_long:
                  $ref: '#/components/examples/display_name_too_long'
                face_value_out_of_range:
                  $ref: '#/components/examples/face_value_out_of_range'
                illegal_character_in_description:
                  $ref: '#/components/examples/illegal_character_in_description'
                illegal_character_in_name:
                  $ref: '#/components/examples/illegal_character_in_name'
                illegal_value_of_minimum_coupon_lifetime:
                  $ref: >-
                    #/components/examples/illegal_value_of_minimum_coupon_lifetime
                invalid_cash_back_limits:
                  $ref: '#/components/examples/invalid_cash_back_limits'
                invalid_expiration_date:
                  $ref: '#/components/examples/invalid_expiration_date'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_limits:
                  $ref: '#/components/examples/invalid_limits'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                invalid_tag:
                  $ref: '#/components/examples/invalid_tag'
                limit_out_of_range:
                  $ref: '#/components/examples/limit_out_of_range'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                name_too_long:
                  $ref: '#/components/examples/name_too_long'
                negative_cash_back_percentage:
                  $ref: '#/components/examples/negative_cash_back_percentage'
                negative_max_cash_back:
                  $ref: '#/components/examples/negative_max_cash_back'
                negative_min_cash_back:
                  $ref: '#/components/examples/negative_min_cash_back'
                partner_reward_supplier_id_invalid:
                  $ref: '#/components/examples/partner_reward_supplier_id_invalid'
                reward_supplier_build_failed:
                  $ref: '#/components/examples/reward_supplier_build_failed'
                reward_supplier_duplicated_name:
                  $ref: '#/components/examples/reward_supplier_duplicated_name'
                reward_supplier_validation_failed:
                  $ref: '#/components/examples/reward_supplier_validation_failed'
                unsupported_face_value_algorithm_type:
                  $ref: '#/components/examples/unsupported_face_value_algorithm_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
                reward_supplier_not_found:
                  $ref: '#/components/examples/reward_supplier_not_found'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    BuiltRewardSupplierResponse:
      description: >-
        reward supplier after buildtime evaluation. Fields `display_type`,
        `name`, `display_name`, `face_value_algorithm_type`, `face_value`,
        `cash_back_percentage`, `cash_back_min`, `cash_back_max`,
        `limit_per_day`, `limit_per_hour`, `face_value_type`, `enabled`, and
        `reward_expires_at` are already evaluated.
      discriminator:
        mapping:
          CUSTOM_REWARD:
            $ref: '#/components/schemas/BuiltCustomRewardSupplierResponse'
          MANUAL_COUPON:
            $ref: '#/components/schemas/BuiltManualCouponRewardSupplierResponse'
          PAYPAL_PAYOUTS:
            $ref: '#/components/schemas/BuiltPayPalPayoutsRewardSupplierResponse'
          SALESFORCE_COUPON:
            $ref: '#/components/schemas/BuiltSalesforceCouponRewardSupplierResponse'
          TANGO_V2:
            $ref: '#/components/schemas/BuiltTangoRewardSupplierResponse'
        propertyName: reward_supplier_type
      oneOf:
        - title: CUSTOM_REWARD
          allOf:
            - $ref: '#/components/schemas/BuiltCustomRewardSupplierResponse'
        - title: MANUAL_COUPON
          allOf:
            - $ref: '#/components/schemas/BuiltManualCouponRewardSupplierResponse'
        - title: PAYPAL_PAYOUTS
          allOf:
            - $ref: '#/components/schemas/BuiltPayPalPayoutsRewardSupplierResponse'
        - title: SALESFORCE_COUPON
          allOf:
            - $ref: '#/components/schemas/BuiltSalesforceCouponRewardSupplierResponse'
        - title: TANGO_V2
          allOf:
            - $ref: '#/components/schemas/BuiltTangoRewardSupplierResponse'
      required:
        - cash_back_max
        - cash_back_min
        - cash_back_percentage
        - component_ids
        - component_references
        - created_date
        - data
        - display_name
        - display_type
        - enabled
        - face_value
        - face_value_algorithm_type
        - face_value_type
        - id
        - limit_per_day
        - limit_per_hour
        - name
        - partner_reward_key_type
        - partner_reward_supplier_id
        - reward_expires_at
        - reward_supplier_type
        - state_transitions
        - tags
        - updated_date
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    BuiltCustomRewardSupplierResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltRewardSupplierResponseBase'
        - properties:
            auto_fulfillment_enabled:
              type: boolean
            id:
              readOnly: true
              type: string
            missing_fulfillment_alert_delay_ms:
              format: int64
              type: integer
            missing_fulfillment_alert_enabled:
              type: boolean
            missing_fulfillment_auto_fail_delay_ms:
              format: int64
              type: integer
            missing_fulfillment_auto_fail_enabled:
              type: boolean
            reward_email_auto_send_enabled:
              type: boolean
            reward_supplier_type:
              enum:
                - CUSTOM_REWARD
              type: string
            type:
              enum:
                - ACCOUNT_CREDIT
                - LOYALTY_POINTS
              type: string
          type: object
      description: >-
        custom reward supplier after buildtime evaluation. Fields `name`,
        `display_name`, `face_value_algorithm_type`, `face_value`,
        `cash_back_percentage`, `cash_back_min`, `cash_back_max`,
        `limit_per_day`, `limit_per_hour`, `face_value_type`, `display_type`,
        `enabled`, and `reward_expires_at` are already evaluated.
      required:
        - auto_fulfillment_enabled
        - cash_back_max
        - cash_back_min
        - cash_back_percentage
        - component_ids
        - component_references
        - created_date
        - data
        - display_name
        - display_type
        - enabled
        - face_value
        - face_value_algorithm_type
        - face_value_type
        - id
        - limit_per_day
        - limit_per_hour
        - missing_fulfillment_alert_delay_ms
        - missing_fulfillment_alert_enabled
        - missing_fulfillment_auto_fail_delay_ms
        - missing_fulfillment_auto_fail_enabled
        - name
        - partner_reward_key_type
        - partner_reward_supplier_id
        - reward_email_auto_send_enabled
        - reward_expires_at
        - reward_supplier_type
        - state_transitions
        - tags
        - type
        - updated_date
      type: object
      title: CUSTOM_REWARD
    BuiltManualCouponRewardSupplierResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltRewardSupplierResponseBase'
        - properties:
            coupon_count_warn_limit:
              format: int32
              type: integer
            default_coupon_expiry_date:
              $ref: '#/components/schemas/ZonedDateTime'
            id:
              readOnly: true
              type: string
            minimum_coupon_lifetime:
              format: int64
              type: integer
            reward_supplier_type:
              enum:
                - MANUAL_COUPON
              type: string
          type: object
      description: >-
        manual coupon reward supplier after buildtime evaluation. Fields
        `display_type`, `face_value_type`, `face_value_algorithm_type`,
        `face_value`, `cash_back_percentage`, `cash_back_min`, `cash_back_max`,
        `limit_per_day`, `limit_per_hour`, `name`, `display_name`, `enabled`,
        and `reward_expires_at` are already evaluated.
      required:
        - cash_back_max
        - cash_back_min
        - cash_back_percentage
        - component_ids
        - component_references
        - coupon_count_warn_limit
        - created_date
        - data
        - default_coupon_expiry_date
        - display_name
        - display_type
        - enabled
        - face_value
        - face_value_algorithm_type
        - face_value_type
        - id
        - limit_per_day
        - limit_per_hour
        - minimum_coupon_lifetime
        - name
        - partner_reward_key_type
        - partner_reward_supplier_id
        - reward_expires_at
        - reward_supplier_type
        - state_transitions
        - tags
        - updated_date
      type: object
      title: MANUAL_COUPON
    BuiltPayPalPayoutsRewardSupplierResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltRewardSupplierResponseBase'
        - properties:
            description:
              type: string
            id:
              readOnly: true
              type: string
            merchant_token:
              type: string
            reward_supplier_type:
              enum:
                - PAYPAL_PAYOUTS
              type: string
          type: object
      description: >-
        pay pal payouts reward supplier after buildtime evaluation. Fields
        `display_type`, `name`, `display_name`, `face_value_algorithm_type`,
        `face_value`, `cash_back_percentage`, `cash_back_min`, `cash_back_max`,
        `limit_per_day`, `limit_per_hour`, `face_value_type`, `description`,
        `enabled`, and `reward_expires_at` are already evaluated.
      required:
        - cash_back_max
        - cash_back_min
        - cash_back_percentage
        - component_ids
        - component_references
        - created_date
        - data
        - description
        - display_name
        - display_type
        - enabled
        - face_value
        - face_value_algorithm_type
        - face_value_type
        - id
        - limit_per_day
        - limit_per_hour
        - merchant_token
        - name
        - partner_reward_key_type
        - partner_reward_supplier_id
        - reward_expires_at
        - reward_supplier_type
        - state_transitions
        - tags
        - updated_date
      type: object
      title: PAYPAL_PAYOUTS
    BuiltSalesforceCouponRewardSupplierResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltRewardSupplierResponseBase'
        - properties:
            balance_refill_amount:
              format: int32
              type: integer
            coupon_pool_id:
              type: string
            id:
              readOnly: true
              type: string
            initial_offset:
              format: int32
              type: integer
            reward_supplier_type:
              enum:
                - SALESFORCE_COUPON
              type: string
            settings_id:
              type: string
          type: object
      description: >-
        salesforce coupon reward supplier after buildtime evaluation. Fields
        `display_type`, `face_value_type`, `face_value_algorithm_type`,
        `face_value`, `cash_back_percentage`, `cash_back_min`, `cash_back_max`,
        `limit_per_day`, `limit_per_hour`, `name`, `display_name`,
        `coupon_pool_id`, `enabled`, and `reward_expires_at` are already
        evaluated.
      required:
        - balance_refill_amount
        - cash_back_max
        - cash_back_min
        - cash_back_percentage
        - component_ids
        - component_references
        - coupon_pool_id
        - created_date
        - data
        - display_name
        - display_type
        - enabled
        - face_value
        - face_value_algorithm_type
        - face_value_type
        - id
        - initial_offset
        - limit_per_day
        - limit_per_hour
        - name
        - partner_reward_key_type
        - partner_reward_supplier_id
        - reward_expires_at
        - reward_supplier_type
        - settings_id
        - state_transitions
        - tags
        - updated_date
      type: object
      title: SALESFORCE_COUPON
    BuiltTangoRewardSupplierResponse:
      allOf:
        - $ref: '#/components/schemas/BuiltRewardSupplierResponseBase'
        - properties:
            account_id:
              type: string
            brand_description:
              type: string
            brand_disclaimer:
              type: string
            brand_image_url:
              type: string
            brand_name:
              type: string
            description:
              type: string
            id:
              readOnly: true
              type: string
            reward_supplier_type:
              enum:
                - TANGO_V2
              type: string
            utid:
              type: string
          type: object
      description: >-
        tango reward supplier after buildtime evaluation. Fields `display_type`,
        `face_value_algorithm_type`, `face_value`, `cash_back_percentage`,
        `cash_back_min`, `cash_back_max`, `limit_per_day`, `limit_per_hour`,
        `face_value_type`, `name`, `display_name`, `description`, `enabled`, and
        `reward_expires_at` are already evaluated.
      required:
        - account_id
        - brand_description
        - brand_disclaimer
        - brand_image_url
        - brand_name
        - cash_back_max
        - cash_back_min
        - cash_back_percentage
        - component_ids
        - component_references
        - created_date
        - data
        - description
        - display_name
        - display_type
        - enabled
        - face_value
        - face_value_algorithm_type
        - face_value_type
        - id
        - limit_per_day
        - limit_per_hour
        - name
        - partner_reward_key_type
        - partner_reward_supplier_id
        - reward_expires_at
        - reward_supplier_type
        - state_transitions
        - tags
        - updated_date
        - utid
      type: object
      title: TANGO_V2
    BuiltRewardSupplierResponseBase:
      properties:
        cash_back_max:
          type: number
        cash_back_min:
          type: number
        cash_back_percentage:
          type: number
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        data:
          additionalProperties:
            type: string
          type: object
        display_name:
          type: string
        display_type:
          type: string
        enabled:
          type: boolean
        face_value:
          type: number
        face_value_algorithm_type:
          enum:
            - CASH_BACK
            - FIXED
          type: string
        face_value_type:
          enum:
            - AUD
            - BRL
            - CAD
            - CNY
            - EUR
            - GBP
            - HKD
            - INR
            - JPY
            - KRW
            - MONTH
            - MXN
            - NZD
            - PERCENT_OFF
            - POINTS
            - TRY
            - TWD
            - USD
          type: string
        id:
          readOnly: true
          type: string
        limit_per_day:
          format: int32
          type: integer
        limit_per_hour:
          format: int32
          type: integer
        name:
          type: string
        partner_reward_key_type:
          enum:
            - COUPON
            - ID
            - LINK
          type: string
        partner_reward_supplier_id:
          type: string
        reward_expires_at:
          $ref: >-
            #/components/schemas/RewardExpiresAtInBuiltRewardSupplierResponseBase
        reward_supplier_type:
          enum:
            - CUSTOM_REWARD
            - MANUAL_COUPON
            - PAYPAL_PAYOUTS
            - SALESFORCE_COUPON
            - TANGO_V2
          type: string
        state_transitions:
          additionalProperties:
            items:
              enum:
                - CANCELED
                - EARNED
                - FAILED
                - FULFILLED
                - REDEEMED
                - REVOKED
                - SENT
              type: string
            type: array
          type: object
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    ComponentReferenceResponse:
      properties:
        component_id:
          type: string
        socket_names:
          items:
            type: string
          type: array
      type: object
    RewardExpiresAtInBuiltRewardSupplierResponseBase:
      description: >-
        The reward expires at as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/ZonedDateTime'
          description: Literal reward expires at
          title: Static Value
        - description: >-
            Handlebars expression with
            [RewardFulfillmentEvaluationContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/reward/RewardFulfillmentEvaluationContext.d.ts).
          example: handlebars@runtime:{{rewardExpiresAt}}
          externalDocs:
            description: RewardFulfillmentEvaluationContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/reward/RewardFulfillmentEvaluationContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [RewardFulfillmentEvaluationContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/reward/RewardFulfillmentEvaluationContext.d.ts).
          example: >-
            javascript@runtime:function() { return
            context.get('rewardExpiresAt');}
          externalDocs:
            description: RewardFulfillmentEvaluationContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/reward/RewardFulfillmentEvaluationContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    coupon_count_warn_limit_invalid:
      summary: coupon_count_warn_limit_invalid
      value:
        code: coupon_count_warn_limit_invalid
        http_status_code: 400
        message: Coupon count warn limit must be a non-negative integer
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    coupon_pool_id_missing:
      summary: coupon_pool_id_missing
      value:
        code: coupon_pool_id_missing
        http_status_code: 400
        message: Coupon pool id is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    description_too_long:
      summary: description_too_long
      value:
        code: description_too_long
        http_status_code: 400
        message: Description should not exceed the specified length limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    display_name_too_long:
      summary: display_name_too_long
      value:
        code: display_name_too_long
        http_status_code: 400
        message: Display name should not exceed the specified length limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    face_value_out_of_range:
      summary: face_value_out_of_range
      value:
        code: face_value_out_of_range
        http_status_code: 400
        message: Face value is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    illegal_character_in_description:
      summary: illegal_character_in_description
      value:
        code: illegal_character_in_description
        http_status_code: 400
        message: Description can only contain alphanumeric characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    illegal_character_in_name:
      summary: illegal_character_in_name
      value:
        code: illegal_character_in_name
        http_status_code: 400
        message: Name can only contain alphanumeric characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    illegal_value_of_minimum_coupon_lifetime:
      summary: illegal_value_of_minimum_coupon_lifetime
      value:
        code: illegal_value_of_minimum_coupon_lifetime
        http_status_code: 400
        message: Minimum coupon lifetime should be greater than 0
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_cash_back_limits:
      summary: invalid_cash_back_limits
      value:
        code: invalid_cash_back_limits
        http_status_code: 400
        message: Max cash back limit should greater or equal to min cash back limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_expiration_date:
      summary: invalid_expiration_date
      value:
        code: invalid_expiration_date
        http_status_code: 400
        message: Expiration date is invalid or not ISO-8601 compliant
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_limits:
      summary: invalid_limits
      value:
        code: invalid_limits
        http_status_code: 400
        message: Limit per day should be greater or equal to limit per hour
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_tag:
      summary: invalid_tag
      value:
        code: invalid_tag
        http_status_code: 400
        message: Invalid tag
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    limit_out_of_range:
      summary: limit_out_of_range
      value:
        code: limit_out_of_range
        http_status_code: 400
        message: Limit is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    name_too_long:
      summary: name_too_long
      value:
        code: name_too_long
        http_status_code: 400
        message: Name should not exceed the specified length limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    negative_cash_back_percentage:
      summary: negative_cash_back_percentage
      value:
        code: negative_cash_back_percentage
        http_status_code: 400
        message: Cash back percentage should be a non negative number
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    negative_max_cash_back:
      summary: negative_max_cash_back
      value:
        code: negative_max_cash_back
        http_status_code: 400
        message: Max cash back limit should be a non negative number
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    negative_min_cash_back:
      summary: negative_min_cash_back
      value:
        code: negative_min_cash_back
        http_status_code: 400
        message: Min cash back limit should be a non negative number
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    partner_reward_supplier_id_invalid:
      summary: partner_reward_supplier_id_invalid
      value:
        code: partner_reward_supplier_id_invalid
        http_status_code: 400
        message: Partner reward supplier id is too long, max length is 255
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_build_failed:
      summary: reward_supplier_build_failed
      value:
        code: reward_supplier_build_failed
        http_status_code: 400
        message: Reward supplier build failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_duplicated_name:
      summary: reward_supplier_duplicated_name
      value:
        code: reward_supplier_duplicated_name
        http_status_code: 400
        message: Reward supplier with such name already exists
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_validation_failed:
      summary: reward_supplier_validation_failed
      value:
        code: reward_supplier_validation_failed
        http_status_code: 400
        message: Reward supplier validation failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_face_value_algorithm_type:
      summary: unsupported_face_value_algorithm_type
      value:
        code: unsupported_face_value_algorithm_type
        http_status_code: 400
        message: Face value algorithm type is not supported for this reward supplier
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    reward_supplier_not_found:
      summary: reward_supplier_not_found
      value:
        code: reward_supplier_not_found
        http_status_code: 403
        message: Reward supplier not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````